[Beowulf] problmes with MPICH

John Hearns john.hearns at clustervision.com
Sat Feb 14 04:43:37 EST 2004


On Fri, 13 Feb 2004, Richard Miguel wrote:

> Now i have download mpich-1.2.5.2 and i want compile it for rsh, i need help
> in this point.
> 
> I have mpich-1.2.5.2 and fortran pgi and rsh.
> 
./configure -rsh=RSHCOMMAND   


>From the configure.in:

"The environment variable 'RSHCOMMAND' allows you to select an alternative
remote shell command (by default, configure will use 'rsh' or 'remsh' from
your 'PATH').  If your remote shell command does not support the '-l' 
option
(some AFS versions of 'rsh' have this bug), also give the option
'-rshnol'.  These options are useful only when building a network version
of MPICH (e.g., '--with-device=ch_p4').
The configure option '-rsh' is supported for backward compatibility."

SO rsh is the defautl behaviour.

You can compile with the rsh command set to the rsh under $SGE_HOME/mpi 
also.

_______________________________________________
Beowulf mailing list, Beowulf at beowulf.org
To change your subscription (digest mode or unsubscribe) visit http://www.beowulf.org/mailman/listinfo/beowulf



More information about the Beowulf mailing list